1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-04-19 02:10:57 +02:00

tests: avoid file name not portable to cygwin

* tests/misc/chroot-fail: Use 'no_such', not '...', since cygwin
1.5 silently strips trailing dots.
* tests/misc/nice-fail: Likewise.
* tests/misc/stdbuf: Likewise.
* tests/misc/timeout-parameters: Likewise.
This commit is contained in:
Eric Blake
2009-10-26 06:05:44 -06:00
parent c695781753
commit dae24f5ffc
4 changed files with 4 additions and 4 deletions

View File

@@ -41,7 +41,7 @@ if chroot / true ; then
test $? = 2 || fail=1
chroot / . # invalid command
test $? = 126 || fail=1
chroot / ... # no such command
chroot / no_such # no such command
test $? = 127 || fail=1
else
test $? = 125 || fail=1

View File

@@ -39,7 +39,7 @@ nice sh -c 'exit 2' # exit status propagation
test $? = 2 || fail=2
nice . # invalid command
test $? = 126 || fail=1
nice ... # no such command
nice no_such # no such command
test $? = 127 || fail=1
Exit $fail

View File

@@ -56,7 +56,7 @@ test $? = 125 || fail=1
stdbuf -i0 -o0 -e0 true || fail=1 #check all files
stdbuf -o1 . # invalid command
test $? = 126 || fail=1
stdbuf -o1 ... # no such command
stdbuf -o1 no_such # no such command
test $? = 127 || fail=1
# Ensure line buffering stdout takes effect

View File

@@ -57,7 +57,7 @@ timeout 1 .
test $? = 126 || fail=1
# no such command
timeout 1 ...
timeout 1 no_such
test $? = 127 || fail=1
Exit $fail